%define name    ipager
%define version 1.1.0
%define release %mkrel 6
%define Summary IPager : a pager for *WM

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        MIT
Group:          Graphical desktop/Other
URL:            http://www.useperl.ru/ipager
Source0:        http://www.useperl.ru/ipager/src/%name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Patch1:		ipager-1.1.0-gcc43.patch
Patch2:		ipager-1.1.0-scons_flags.patch
Patch3:		ipager-1.1.0-scons_imlib2.patch
Patch4:		ipager-1.1.0-link.patch
BuildRequires:	scons
BuildRequires:  imlib2-devel
BuildRequires:  libx11-devel

%description
IPager is a pager!
Originally it was developed for Fluxbox but can also be used with other WMs.

features

    * Zoom! When the mouse pointer is over it, desktop image enlarges.
    * Various image zoom effects.

A flexible set of config options makes IPager an integral part of your desktop.

    * Main window transparency.
    * Transparent workspaces icons.
    * Main window background color.
    * Workspace icon: a defined color or transparent.
    * Borders: can be applied to main window and to workspace icons.
    * Switch workspaces: any mouse button upon your choice.
    * You can send a window from one workspace to another
    * Application icons are also supported

A range of various color themes allows you to easily integrate IPager into your
desktop.

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
%setup_compile_flags
scons PREFIX=%_prefix

%install
rm -fr %buildroot
mkdir -p %buildroot
%setup_compile_flags
scons PREFIX=%_prefix DESTDIR=%buildroot install

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc README ToDo ChangeLog LICENSE themes/*




%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-6mdv2011.0
+ Revision: 612401
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 1.1.0-5mdv2010.1
+ Revision: 507446
- just libx11 will be enough
- add gentoo patches to make it build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Mar 02 2008 Michael Scherer <misc@mandriva.org> 1.1.0-3mdv2008.1
+ Revision: 177702
- add patch0, fix build with newer scons
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import ipager


* Thu May 04 2006 Franck Villaume <fvill@mandriva.org> 1.1.0-2mdk
- fix automatic build

* Mon Mar 27 2006 Franck Villaume <fvill@mandriva.org> 1.1.0-1mdk
- initial release

